Imports System.IO

Public Class FrmDieFrequencies

    Dim RandomNumber As Random = New Random
    Dim ProgramPath As String

    Private Sub btnRoll_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnRoll.Click
        Dim DieValue As Integer

        DieValue = RandomNumber.Next(1, 7)

        PicDie.Image = Image.FromFile(ProgramPath & "Die" & DieValue & ".gif")

        Select Case DieValue
            Case 1
                txtFreq1.Text = CInt(txtFreq1.Text) + 1
            Case 2
                txtFreq2.Text = CInt(txtFreq2.Text) + 1
            Case 3
                txtFreq3.Text = CInt(txtFreq3.Text) + 1
            Case 4
                txtFreq4.Text = CInt(txtFreq4.Text) + 1
            Case 5
                txtFreq5.Text = CInt(txtFreq5.Text) + 1
            Case 6
                txtFreq6.Text = CInt(txtFreq6.Text) + 1
        End Select
    End Sub

    Private Sub FrmDieFrequencies_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ProgramPath = Directory.GetCurrentDirectory & "\"
    End Sub

    Private Sub btnRollMany_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnRollMany.Click
        Dim Number As Integer

        If Not IsNumeric(txtNumber.Text) Then
            MsgBox("Please enter a number.")
            txtNumber.Clear()
            txtNumber.Focus()
            Exit Sub
        End If

        Number = txtNumber.Text

        If Number < 1 Then
            MsgBox("Please enter a number greater than 1.")
            txtNumber.Clear()
            txtNumber.Focus()
            Exit Sub
        End If

        Dim i As Integer
        For i = 1 To Number
            btnRoll_Click(sender, e)
        Next

    End Sub

    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        txtFreq1.Text = "0"
        txtFreq2.Text = "0"
        txtFreq3.Text = "0"
        txtFreq4.Text = "0"
        txtFreq5.Text = "0"
        txtFreq6.Text = "0"

        txtNumber.Text = "100"

        PicDie.Image = Nothing
    End Sub
End Class
